Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.extent
Interface VerticalExtent

    @UML(identifier="EX_VerticalExtent",
         specification=ISO_19115)
    public interface VerticalExtent

Vertical domain of dataset.

Since:
  GeoAPI 1.0

Method Summary
`Double` | `getMaximumValue()` Returns the highest vertical extent contained in the dataset.
`Double` | `getMinimumValue()` Returns the lowest vertical extent contained in the dataset.
`Unit` | `getUnit()` Deprecated. removed from ISO_19115:2003/Cor.1:2006
`VerticalCRS` | `getVerticalCRS()` Provides information about the vertical coordinate reference system to which the maximum and minimum elevation values are measured.
`VerticalDatum` | `getVerticalDatum()` Deprecated. changed to `getVerticalCRS()` in ISO_19115:2003/Cor.1:2006

Method Detail

### getMinimumValue

    @UML(identifier="minimumValue",
         obligation=MANDATORY,
         specification=ISO_19115)
    Double getMinimumValue()

  Returns the lowest vertical extent contained in the dataset.

  Returns:
    Double mandatory for valid content, may be null for an invalid document.

### getMaximumValue

    @UML(identifier="maximumValue",
         obligation=MANDATORY,
         specification=ISO_19115)
    Double getMaximumValue()

  Returns the highest vertical extent contained in the dataset.

  Returns:
    Double mandatory for valid content, may be null for an invalid document.

### getUnit

    @UML(identifier="unitOfMeasure",
         obligation=MANDATORY,
         specification=ISO_19115)
    Unit getUnit()

  Deprecated. removed from ISO_19115:2003/Cor.1:2006

  Returns the vertical units used for vertical extent information. Examples: metres, feet, millimetres, hectopascals.

### getVerticalDatum

    @UML(identifier="verticalDatum",
         obligation=MANDATORY,
         specification=ISO_19115)
    VerticalDatum getVerticalDatum()

  Deprecated. changed to `getVerticalCRS()` in ISO_19115:2003/Cor.1:2006

  Provides information about the origin from which the maximum and minimum elevation values are measured.

### getVerticalCRS

    @UML(identifier="verticalCRS",
         obligation=MANDATORY,
         specification=ISO_19115)
    VerticalCRS getVerticalCRS()

  Provides information about the vertical coordinate reference system to which the maximum and minimum elevation values are measured. The CRS identification includes unit of measure.

  Since:
    GeoAPI 2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.